package com.muyu.task.server.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.domian.TaskOutput;
import com.muyu.task.server.service.TaskOutputService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("output")
public class TaskOutputController {

    @Autowired
    private TaskOutputService taskOutputService;


    @PostMapping
    public Result save(@RequestBody List<TaskOutput> taskOutputs) {
        boolean save = taskOutputService.saveBatch(taskOutputs);
        return Result.success(save);
    }


}
